<?
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');

	
if(!isset($user['id'])) exit('<div id="error" class="message" style="text-align:center;">Вам стоит авторизоваться</div>');
if(isset($_POST['key'])){
$key = htmlspecialchars($_POST['key']);
if(empty($key)){
echo '<div id="error" class="message" style="text-align:center;">API КЛЮЧ НЕ УКАЗАН/div>';
}
else{
$money = $db->prepare('UPDATE `users` SET `api` = ? WHERE `id` = ?');
$money -> execute([$key,$user['id']]);
echo '
<meta http-equiv="refresh" content="3; url=/setting/my/api.aspx">
<div id="success" class="message" style="text-align:center;">Вы успешно изменили ключ API</div>';

}

}
?>
